RadioButtonsHandle (install4j API)
Description: declaration: package: com.install4j.api.test.formcomponents, interface: RadioButtonsHandle

# Interface RadioButtonsHandle

All Superinterfaces:
  `FormComponentHandle`

public interface RadioButtonsHandle extends FormComponentHandle
Handle for the "Radio button group" form component. The widget is a single form component that internally renders a group of `JRadioButton`s sharing the same bound installer variable.

Reach this handle via `ScreenHandle.radioButtons()`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RadioButtonsHandle`
  `assertDisabled()`
  `RadioButtonsHandle`
  `assertEnabled()`
  `RadioButtonsHandle`
  `assertInvisible()`
  `RadioButtonsHandle`
  `assertSelectedLabel(String expected)`
  Assert that the currently selected label equals the expected value.
  `RadioButtonsHandle`
  `assertVisible()`
  `List<String>`
  `getLabels()`
  The configured radio button labels.
  `int`
  `getSelectedIndex()`
  The index of the currently selected radio button, or `-1` if none is selected.
  `String`
  `getSelectedLabel()`
  The label of the currently selected radio button, or empty if none is selected.
  `RadioButtonsHandle`
  `selectIndex(int index)`
  Select the radio button at the given index.
  `RadioButtonsHandle`
  `selectLabel(String label)`
  Select the radio button whose label equals the given value.

  ### Methods inherited from interface FormComponentHandle

  `getId, isEnabled, isVisible`

- ## Method Details

  - ### getLabels

    @NotNull List<String> getLabels()
    The configured radio button labels.

  - ### getSelectedLabel

    @NotNull String getSelectedLabel()
    The label of the currently selected radio button, or empty if none is selected.

  - ### getSelectedIndex

    int getSelectedIndex()
    The index of the currently selected radio button, or `-1` if none is selected.

  - ### selectLabel

    @NotNull RadioButtonsHandle selectLabel(@NotNull String label)
    Select the radio button whose label equals the given value.

  - ### selectIndex

    @NotNull RadioButtonsHandle selectIndex(int index)
    Select the radio button at the given index.

  - ### assertSelectedLabel

    @NotNull RadioButtonsHandle assertSelectedLabel(@NotNull String expected)
    Assert that the currently selected label equals the expected value.

  - ### assertEnabled

    @NotNull RadioButtonsHandle assertEnabled()
    Specified by:
      `assertEnabled` in interface `FormComponentHandle`

  - ### assertDisabled

    @NotNull RadioButtonsHandle assertDisabled()
    Specified by:
      `assertDisabled` in interface `FormComponentHandle`

  - ### assertVisible

    @NotNull RadioButtonsHandle assertVisible()
    Specified by:
      `assertVisible` in interface `FormComponentHandle`

  - ### assertInvisible

    @NotNull RadioButtonsHandle assertInvisible()
    Specified by:
      `assertInvisible` in interface `FormComponentHandle`